
Foreman - Feature #3701

Fail if a hostname has a dot in it

11/20/2013 01:08 PM - Anonymous

Status: Closed   

Priority: Low   

Assignee: Stephen Benjamin   

Category: Host creation   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Today a colleague created a new host for building, he entered hostname.customername as "Name" and selected company.tld as

domain (this was a wrong precedure anyway...). A host with the correct FQDN was created in Foreman, but the machine's FQDN

was hostname.company.tld and with this is was auto-created in foreman again. It would be nice if there would be a check for dots in

the hostname when creating a new host.

Related issues:

Related to Foreman - Bug #3697: Field Validations Should be more Comprehensive Closed 11/20/2013

Associated revisions

Revision 4bae5ced - 01/22/2014 05:56 PM - Stephen Benjamin

fixes #3697, #3701 - more comprehensive field validations

Revision dbaa47b7 - 01/22/2014 06:41 PM - Dominic Cleal

refs #3697, #3701 - fix test with multiple validation failures

Revision f0e33f83 - 01/23/2014 11:31 AM - Stephen Benjamin

fixes #3697, #3701 - more comprehensive field validations

(cherry picked from commit 4bae5cedb8ab562b6c397234c5cb1cfd604fde74)

Revision 9f02cefa - 01/23/2014 11:31 AM - Dominic Cleal

refs #3697, #3701 - fix test with multiple validation failures

(cherry picked from commit dbaa47b718a25992065cc6e0afea78bed1171f7e)

History

#1 - 11/20/2013 01:35 PM - Dominic Cleal

- Related to Bug #3697: Field Validations Should be more Comprehensive added

#2 - 11/20/2013 03:36 PM - Stephen Benjamin

- Assignee set to Stephen Benjamin

Historically it's been allowed to have hostnames with a "." in them. IIRC, even bind allows an A record "foo.bar" in zone "example.com".   There's an

open request in puppet labs for facter to support that scenario: http://projects.puppetlabs.com/issues/9766. But facter doesn't, and there's probably

any number of other issues with doing it.

So I included this in the PR I have for the other validation effort: https://github.com/theforeman/foreman/pull/1041

#3 - 01/22/2014 05:55 PM - Dominic Cleal

- Category set to Host creation

- Status changed from New to Ready For Testing

- Target version set to 1.9.2
http://projects.puppetlabs.com/issues/9766
https://github.com/theforeman/foreman/pull/1041


- translation missing: en.field_release set to 2

https://github.com/theforeman/foreman/pull/1041

#4 - 01/22/2014 06:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4bae5cedb8ab562b6c397234c5cb1cfd604fde74.
